# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20191205
%global source_release 7
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/20th_21st_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Galatea
%global fonts_summary            GFS Galatea, a 20th century Greek font family
%global fonts_fonts              *.otf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
GFS Galatea Bold revives in digital form an older hot metal typeface from the
1920’s, which can be found in older Greek type specimens named simply as FAT
type. The font was used as a bold companion of Didot Greek (Apla/Monotype 92).
It has many similarities with Didot Greek (Απλά) in design, but it differs in
its reduced stroke contrast, the use of a lunar lower case epsilon (reminiscent
of the similar epsilon in Porson Greek) and in sturdier stems and slab serifs.
An experimental projection of these characteristics to a lighter version has
led to the introduction of GFS Galatea Regular. The name Galatea is a tribute
to the author and feminist Galatea Kazantzakis (1881–1962) as samples of the
typeface were found in several of her books.

Both typefaces were designed by George Triantafyllakos and are freely available
for use.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
60-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20191205-4
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20191205-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 20191205-1
✅ Initial packaging
